import { baseUrl } from "../../../request"

// pages/personCenter/teamManage/teamManage.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    directAgentSize: 0, // 直接代理人数
    teamSize: '',     // 团队人数
    teamEarnings: '', // 团队收益
    invitationCode: "", // 邀请码
    userMemberInfoVOList: [],   // 成员列表
    searchText: '',
    tempUserMemberInfoVOList: [],
  },

  // 获取团队成员信息
  getTeamMembersInfo() {
    wx.request({
      url: baseUrl + '/userMainInfo/query/team',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        // console.log('团队成员信息---->',res.data.data);
        let result = res.data.data
        this.setData({
          directAgentSize: result.directAgentSize,
          teamSize: result.teamSize,
          teamEarnings: result.teamEarnings,
          invitationCode: result.invitationCode,
          userMemberInfoVOList: result.userMemberInfoVOList,
          tempUserMemberInfoVOList: result.userMemberInfoVOList
        })
      }
    })
  },

   // 输入框内容变化时更新数据
   onInput(e) {
    this.setData({
      searchText: e.detail.value,  // 获取用户输入的关键字
    });
  },

  onSearch() {
    let searchValue = this.data.searchText;  // 获取输入框的值
    let userMemberList = this.data.userMemberInfoVOList
     // 筛选出 salespersonName 包含 searchText 的项
     let filtered = userMemberList.filter(item => 
       item.nickName.includes(searchValue)
    );
    this.setData({
      tempUserMemberInfoVOList: filtered
    })
  },

  // 复制邀请码到剪贴板
  copyInvitationCode() {
    wx.setClipboardData({
      data: this.data.invitationCode,
      success() {
        wx.showToast({
          title: '复制成功',
          icon: 'success',
          duration: 1500
        });
      },
      fail() {
        wx.showToast({
          title: '复制失败',
          icon: 'error',
          duration: 1500
        });
      }
    });
  },

  // 跳转抽佣界面
  gotoCommissionSetting() {
    wx.navigateTo({
      url: '/pages/personCenter/commissionSetting/commissionSetting',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getTeamMembersInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})